Skip to main content
Version: V4.0

Maintenance Management API


Get Maintenance List

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
page_sizeIntegerBodyYesPage size
page_indexIntegerBodyYesPage index

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
result[]Object<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
residence_idStringBodyResidence ID
maintenance_idStringBodyMaintenance ID
start_timeStringBodyStart time, UTC
finish_timeStringBodyFinish time, UTC
descriptionStringBodyDescription
contactStringBodyContact
maintenance_picture_url[]StringBodyMaintenance picture URL
feedbackStringBodyFeedback
stateStringBodyState, wait for confirmation or in progress or completed or closed
created_timeStringBodyCreated time, UTC
account_idStringBodyAccount ID
account_nameStringBodyAccount name
first_nameStringBodyFirst name
last_nameStringBodyLast name
building_nameStringBodyBuilding name
family_nameStringBodyFamily name
residence_noStringBodyResidence number

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_maintenance_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1,
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"residence_id": "rm31adc223cc4b3bedb6bd4742dedcfa5",
"maintenance_id": "m31adc223cc4b3bedb6bd4742dedcfa52",
"start_time": "2024-01-16 13:32:45",
"finish_time": "2024-01-17 13:32:45",
"description": "test",
"contact": "10086",
"maintenance_picture_url": [
"https://test.akubela.com/p"
],
"feedback": "test",
"state": "in progress",
"created_time": "2024-01-12 13:32:45",
"account_id": "arm31adc223cc4b3bedb6bd4742dedcfa",
"account_name": "test@akubela.com",
"first_name": "clay",
"last_name": "sagan",
"building_name": "001",
"family_name": "home",
"residence_no": "505"
}
]
}

Failure Return Example

See Failure Return Example



Get Maintenance Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
maintenance_idStringBodyYesMaintenance ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
residence_idStringBodyResidence ID
start_timeStringBodyStart time, UTC
finish_timeStringBodyFinish time, UTC
descriptionStringBodyDescription
contactStringBodyContact
maintenance_picture_url[]StringBodyMaintenance picture URL
feedbackStringBodyFeedback
stateStringBodyState, wait for confirmation or in progress or completed or closed
created_timeStringBodyCreated time, UTC
account_idStringBodyAccount ID
account_nameStringBodyAccount name
first_nameStringBodyFirst name
last_nameStringBodyLast name
building_nameStringBodyBuilding name
family_nameStringBodyFamily name
residence_noStringBodyResidence number

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_maintenance_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa0",
"maintenance_id": "m31adc223cc4b3bedb6bd4742dedcfa21"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {
"residence_id": "rm31adc223cc4b3bedb6bd4742dedcfa5",
"start_time": "2024-01-16 13:32:45",
"finish_time": "2024-01-17 13:32:45",
"description": "test",
"contact": "10086",
"maintenance_picture_url": [
"https://test.akubela.com/p"
],
"feedback": "test",
"state": "in progress",
"created_time": "2024-01-12 13:32:45",
"account_id": "arm31adc223cc4b3bedb6bd4742dedcfa",
"account_name": "test@akubela.com",
"first_name": "clay",
"last_name": "sagan",
"building_name": "001",
"family_name": "home",
"residence_no": "505"
}
}

Failure Return Example

See Failure Return Example



Update Maintenance Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
maintenance_idStringBodyYesMaintenance ID
stateStringBodyNoState, in progress or completed
feedbackStringBodyNoFeedback

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "update_maintenance_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa22",
"maintenance_id": "mfa332e258aae1badbb27d31128f442dc",
"state": "completed"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Delete Maintenance Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
maintenance_idStringBodyYesMaintenance ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "delete_maintenance_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p11adc223cc4b3bedb6bd4742dedcfa52",
"maintenance_id": "m8b5a73f8dd84abaa94dcs248be49b0d1"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Batch Delete Maintenance Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
maintenances[]Object<maintenance>BodyYesMaintenance information

maintenance description

Parameter NameTypeLocationRequiredDescription
maintenance_idStringBodyYesMaintenance ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "batch_delete_maintenance_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p01adc223cc4b3bedb6bd4742dedcfa52",
"maintenances": [
{
"maintenance_id": "m8b5a73f8dd84abaa94dcs248be49b0d1"
}
]
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example